[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Crt' (#rtl)

# WhereX

Return X (horizontal) cursor position

## Declaration

Source position: crth.inc line 84

`function WhereX: tcrtcoord;`

## Description

WhereX returns the current X-coordinate of the cursor, relative to the current window. The origin is (1,1), in the upper-left corner of the window.

## Errors

None.

## See also

GotoXY |  | Set cursor position on screen.
WhereY |  | Return Y (vertical) cursor position
Window |  | Create new window on screen.

## Example

    Program Example7;
    uses Crt;

    { Program to demonstrate the WhereX and WhereY functions. }

    begin
      Writeln('Cursor postion: X=',WhereX,' Y=',WhereY);
    end.